$! ****************************************************************************
$!  DOCSTASH.COM
$!
$!   This is a DCL command file demonstrating the automation of the DOCZ
$!   System with CMS version control.
$!
$! 	This command file can be called from DOCLIS using the /c option, as in
$! 		/c=@docstash
$! 	P1=Library name
$! 	P2=Module name
$! 	P3=File name
$! 	P4=Comment
$!
$!   This command file assumes that the current module is not reserved and/or
$!   concurrent reservations are allowed.
$! ****************************************************************************
$!
$	SET NOON
$	IF (P1 .EQS. "") .OR. (P2 .EQS. "") .OR (P3 .EQS. "") THEN GOTO ARGS
$	WRITE SYS$OUTPUT -
	"Library=",P1,", Module=",P2,", File=",P3
$	WRITE SYS$OUTPUT -
	"Comment=",P4
$	IF F$SEARCH("''P3'") .EQS. "" THEN GOTO NOTFOUND
$	DOCROOT = -
	F$EXTRACT(0,F$LENGTH(F$TRNLNM("DOCSRC"))-1,F$LOGICAL("DOCSRC"))
$	CMS SET LIBRARY "''DOCROOT'.''P1']"
$	CMS RESERVE/NOHIST/OUT=NL: 'P3' ""
$	STAT = $STATUS
$	IF (STAT .AND. 1) .NE. 1 THEN GOTO NEW
$!  old module
$	IF P4 .EQS. "" THEN WRITE SYS$OUTPUT -
	"DOCSTASH WARNING:  no comment for last module update"
$	WRITE SYS$OUTPUT -
	"> Updating ",P3
$	CMS REPLACE 'P3' "''P4'"
$	GOTO DONE
$!  new module
$ NEW:
$	WRITE SYS$OUTPUT -
	"> Adding ",P3
$	DESCRIPTION = ""
$!  hack the description for the new module out of the DOCZ header
$	DOCGET 'P2' 'P3' DES /O=TEMP.TMP
$	OPEN/READ TEMPFILE TEMP.TMP
$	READ TEMPFILE DESCRIPTION
$	CLOSE TEMPFILE
$	DELETE/NOLOG/NOCONFIRM TEMP.TMP;
$	CMS CREATE ELEMENT 'P3' "''P4'"
$	CMS CREATE GROUP 'P1' "Library"
$	CMS INSERT ELEMENT 'P3' 'P1' "''DESCRIPTION'"
$	GOTO DONE
$ ARGS:
$	WRITE SYS$OUTPUT -
	"DOCSTASH <DOCZ library> <module name> <file name> <remark>"
$	GOTO DONE
$ NOTFOUND:
$	WRITE SYS$OUTPUT -
	'P3'," not found!"
$ DONE:
$	EXIT $STATUS .AND. 1
$!
$! ****************************************************************************
$!   end DOCSTASH.COM
$! ****************************************************************************
