***************************************************************************
* proc  GTSA  &&	GTSA.PRG  -   CASE INPUT AND STATUS MODULE
***************************************************************************

***** DOCZ Header
* .MODULE			  gtsa
* .LIBRARY			  dsw
* .TYPE				  procedure
* .SYSTEM			  msdos
* .AUTHOR			  Loren L. Brumbaugh
* .LANGUAGE 		  dbase
* .APPLICATION 	  application
* .DESCRIPTION 	
*	 Assignment tracking sub-menu
* .ARGUMENTS		
*	 gtsa with recno,reqno,rushind,daterec,datedue,datecomp
*		
*		 && (N) record number
*		 && (C) req number
*		 && (C) rush indicator
*		 && (D) date received
*		 && (D) date due
*		 && (D) date completed
* .NARRATIVE		
*		gtsa is a sub-menu for tracking personal and time expense.	"recno"
*		is the currently selected record number.	"reqno" is the requisition
*		number.	"rushind" is a flag indicating whether this is a rush order.
*		The other parameters are self-explanatory.
* .RETURNS			
*	 nothing
* .ENDOC 			  END DOCUMENTATION
********

*begin
*close all

f_r = .F.													 && (L) special flag to indicate from req screen

para key3,	  ;											 && (N) record number
reqreq,		  ;											 && (C) req number
reqrush, 	  ;											 && (C) rush indicator
reqdrec, 	  ;											 && (D) date received
reqddue, 	  ;											 && (D) date due
reqdcpl		  ;											 && (D) date completed

store .T. to GTSA_ADD,GTSA_KEY,GTSA_FND,gtsa_hel

if (pcount() == 6)
	 store 0 to key3
endif

if (pcount() <> 1)
	 store 0 to key3
endif

if pcount() == 1

	 reqreq	= 0
	 reqrush = 'Y'
	 reqdrec =date()
	 reqddue =date()
	 reqdcpl =date()

	 INITSTDOPTS()

	 delopts(fil_opts1,fil_desc1,list_mode,del_mode,add_mode)  && remove the "list" and "del" option
	 InsOpts(fil_opts1,fil_desc1,"More","Display More Options")
	 InsOpts(fil_opts2,fil_desc2,"Del","Delete the current Record","Help","Help listing of all Key Assignments for this system")

	 SET KEY -7 TO
	 SET KEY -6 to

	 if key3 = 0
		  FilMaint('BF',procname(),ASNFil,1,3,0,21,79,'B',"",.T.,.T.,.F.)
	 else
		  FilMaint('FB',procname(),ASNFil,1,3,0,21,79,key3,"",.T.,.T.,.F.)
	 endif

elseif pcount() == 6 .and. key3 = 0

	 f_r = .T.												 && special flag to indicate from req screen

	 INITSTDOPTS()

	 delopts(fil_opts1,fil_desc1,list_mode,del_mode)  && remove the "list" and "del" option
	 InsOpts(fil_opts1,fil_desc1,"More","Display More Options")
	 InsOpts(fil_opts2,fil_desc2,"Del","Delete the current Record","Help","Help listing of all Key Assignments for this system")

	 SET KEY -4 TO E_RMK 								 && FUNCTION 5  Job Identification
	 SET KEY -7 TO gtsa_job 							 && FUNCTION 8  Job Assignments Table

	 @ 1, 10 say ' Special Assignments A/E Module - Esc to Return to Req '

	 FilMaint('FB',procname(),ASNFil,1,3,0,21,79,'B',add_mode,.T.,.T.,.F.)

elseif pcount() == 0

	 key3 = 0

	 SET KEY -4 TO E_RMK 								 && FUNCTION 5  Job Identification
	 SET KEY -7 TO gtsa_job 							 && FUNCTION 8  Job Assignments Table

	 INITSTDOPTS()

	 delopts(fil_opts1,fil_desc1,list_mode,del_mode)  && remove the "list" and "del" option
	 InsOpts(fil_opts1,fil_desc1,"Show","Show a listing of all Job Assignments for this REQ number","More","Display More Options")
	 InsOpts(fil_opts2,fil_desc2,"Del","Delete the current Record","Jobs","Display pending employee Jobs","Help","Help listing of all Key Assignments for this system")

	 FilMaint('BF',procname(),ASNFil,1,3,0,21,79,'B',"",.T.,.T.,.F.)

endif

SET KEY -4 TO
SET KEY -7 TO

retu
*end
